- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# node_multiply Class Reference

`#include <node_impl.hpp>`

Inheritance diagram for node_multiply:

List of all members.

## Public Member Functions
| node_multiply (node left, node right)
| node_multiply (std::istream &stream)
## Private Member Functions
virtual void | print_node (std::ostream &stream, int indent) const
virtual double | evaluate_node () const
virtual void | save_node (std::ostream &stream) const

## Detailed Description

Multiplication.

Definition at line 203 of file node_impl.hpp.

## Constructor & Destructor Documentation

node_multiply::node_multiply | ( | node | left,
|  | node | right |
| ) |  |  |

Definition at line 505 of file node_impl.cpp.

    00506 : node_binary(left, right)
    00507 {}

node_multiply::node_multiply | ( | std::istream & | stream | ) |

Definition at line 509 of file node_impl.cpp.

    00510 : node_binary(stream)
    00511 {}

## Member Function Documentation

void node_multiply::print_node | ( | std::ostream & | stream,
|  | int | indent |
| ) |  |  | const`[private, virtual]`

Implements node_binary.

Definition at line 513 of file node_impl.cpp.

References node_binary::left(), node::print(), and node_binary::right().

    00515 {
    00516   stream << std::setw(indent) << "" << "*\n";
    00517   left().print(stream, indent + 2);
    00518   right().print(stream, indent + 2);
    00519 }

double node_multiply::evaluate_node | ( |  | ) | const`[private, virtual]`

Implements node_binary.

Definition at line 521 of file node_impl.cpp.

References node_binary::evaluate_left(), and node_binary::evaluate_right().

    00523 {
    00524   return evaluate_left() * evaluate_right();
    00525 }

void node_multiply::save_node | ( | std::ostream & | stream | ) | const`[private, virtual]`

Implements node_binary.

Definition at line 527 of file node_impl.cpp.

References node_binary::left(), node_binary::right(), and node::save().

    00529 {
    00530   stream << "multiply ";
    00531   left().save(stream);
    00532   right().save(stream);
    00533 }

The documentation for this class was generated from the following files:

- node_impl.hpp
- node_impl.cpp